package net.lensfrex.oj.collector;

import net.lensfrex.oj.collector.data.QuestionDetail;
import net.lensfrex.oj.collector.utils.IOUtil;

import java.io.IOException;
import java.net.URISyntaxException;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;

public class Main {

    private static final String MAIN_TEMPLATE = IOUtil.inputStreamToString(Record.class.getResourceAsStream("/template.txt"), StandardCharsets.UTF_8);
    private static final String EXAMPLE_TEMPLATE = IOUtil.inputStreamToString(Record.class.getResourceAsStream("/exampleTemplates.txt"), StandardCharsets.UTF_8);

    public static void main(String[] args) {
        try {
            new Main().run();
        } catch (URISyntaxException | IOException e) {
            throw new RuntimeException(e);
        }
    }

    private static final String location = "D:\\ojs";

    private void run() throws URISyntaxException, IOException {
        Record record = new Record();
        ArrayList<QuestionDetail> questionResults = new Collector().collectAllQuestion();
//
//        String context = "";
//        for (QuestionDetail questionResult : questionResults) {
//            context = record.fillText(questionResult);
//
//            record.writeToFile(location, String.valueOf(questionResult.getId()), questionResult.getChineseTitle(), context);
//        }
    }
}
