
package net.lensfrex.oj.collector.data;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class QuestionDetail {
    @SerializedName("questionFrontendId")
    private String id;

    private String title;
    @SerializedName("translatedTitle")
    private String chineseTitle;

    private String content;
    @SerializedName("translatedContent")
    private String chineseContent;

    private String difficulty;
    private List<String> hints;

    @SerializedName("topicTags")
    private List<Tag> tags;

    private boolean isPaidOnly;

    public boolean isPaidOnly() {
        return isPaidOnly;
    }

    public void setPaidOnly(boolean paidOnly) {
        isPaidOnly = paidOnly;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getChineseTitle() {
        return chineseTitle;
    }

    public void setChineseTitle(String chineseTitle) {
        this.chineseTitle = chineseTitle;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getChineseContent() {
        return chineseContent;
    }

    public void setChineseContent(String chineseContent) {
        this.chineseContent = chineseContent;
    }

    public String getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(String difficulty) {
        this.difficulty = difficulty;
    }

    public List<String> getHints() {
        return hints;
    }

    public void setHints(List<String> hints) {
        this.hints = hints;
    }

    public List<Tag> getTags() {
        return tags;
    }

    public void setTags(List<Tag> tags) {
        this.tags = tags;
    }

    @Override
    public String toString() {
        String sb = "QuestionDetail{" + "id=" + id +
                ", title='" + title + '\'' +
                ", chineseTitle='" + chineseTitle + '\'' +
                ", content='" + content + '\'' +
                ", chineseContent='" + chineseContent + '\'' +
                ", difficulty='" + difficulty + '\'' +
                ", hints=" + hints +
                ", tags=" + tags +
                '}';
        return sb;
    }
}
